WAB killed by Chrome 51

15692
44
Jump to solution
05-25-2016 02:49 PM
BarnabyRockwell
Regular Contributor

I just upgraded Chrome to version 51 (51.0.2704.63 x64), and now none of my WAB apps, even AGOL-based apps, will fully load.  They partially load and the progress thingy just keeps spinning.  On my server, WD 1.2 and 1.3 will load into Chrome and show apps, but none of the apps will load fully when launched.  WAB Dev 2.0 will only partially load into Chrome, and no apps are shown.  I can see that I am logged in to my organization's Portal, so that is not the issue.

Does anyone else see this?  Is there some way I can configure Chrome 51 settings to allow WD 2.0 and apps to load fully?

All is normal with Firefox 46.0.1 and IE11.

My organization's default enterprise browser is Chrome, so if anyone upgrades to current version, they won't be able to use any of my apps. 

Chrome 51 includes many security fixes:

Chrome Releases

1 Solution

Accepted Solutions
Jianxia
Esri Regular Contributor

Tom,

Chrome 51.0.2704.79 was just released for all users with a fix for this issue. Esri worked directly with Chromium product management at Google and has gotten this fix incorporated quickly into the update going out now.

Go to "Help > About Google Chrome" to force an update check and upgrade to this latest patch level. The previous version was 51.0.2704.63 and the fixed version is 51.0.2704.79.

Obviously, this is a temporary solution for Portal users since Chrome will make such changes down the road. The Portal team is working on the patches for 10.3 to 10.4 versions.

Thanks,

Jianxia

View solution in original post

44 Replies
TrentReeder
Occasional Contributor

Me too!

I thought I hosed the program during widget development...

BarnabyRockwell
Regular Contributor

Uh-oh!    Not good.

0 Kudos
PeteCrosier
Occasional Contributor III

I'm getting issues across AGOL on Chrome 51 - Developer Tools (F12) shows the error on each affected page as "<page>:1 Uncaught ReferenceError: normal is not defined". I can't access our organisation's administration and content pages to do anything at the moment.

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

All,

  I am still using 50 so I don't have these issues. Here is a how to link about downgrading chrome:

How to downgrade to Older version of Chrome | Techdows

This would not be the first time Chrome has broke esri software with their newer browser version.

GreggRoemhildt
Occasional Contributor III

The problem is with the version of xstyle that the javascript api uses. The issue is resolved in newer versions of xstyle. Credit goes to @tmcgee who noticed this issue awhile back on the canary version of chrome, there are a lot of details about the issue here.

css files do not load using `xstyle/css!` in Chrome Beta, Dev, and Canary Channels · Issue #552 · cm...

MicahWilliamson
Occasional Contributor II

I'm experiencing issues in Web App Builder only, but not the application it creates. (foldable theme)  Other than the obvious "Use another browser for WAB" Any idea of a workaround? or are we waiting on Esri for this?

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Downgrade until esri addresses this issue.

PeteCrosier
Occasional Contributor III

Passed this on to UK Support - actual maps and web apps seem to be working OK for us thankfully, just can't do anything of use through our organisation's AGOL site.

George_Thompson
Esri Frequent Contributor
0 Kudos